View Issue Details

IDProjectCategoryView StatusLast Update
0002247SOGoWeb Mailpublic2017-08-29 11:44
Reporterhartmut Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.4b 
Target VersionFixed in Version3.1.0 
Summary0002247: Support for mailto links with subject and body included in URL
Description

"Mailto" URLs are not correctly parsed to mail composer window. The html code of such a link looks like this:
<pre>
pmx-auto-approve%2b5a4e6f41105a88cafa36c8e6e513aadb@gate02.hof-university.de?subject=Release%20message%20from%20quarantine&body=%5b%23iMQ-1%5d
</pre>

Clicking this link with a "fat" mail client results in a reply message with correctly formated recipient, subject and body. (successfully tested with outlook, thunderbird, Android Mail, iOS6 mail)
When selecting the link in sogo, the fields are malformed. For example the string "pmx-auto-approve" is missing completely in recipient field, the body is empty and the body text is also shown in to field as part of the (incomplete) recipient address.
Please see attached screenshot...

TagsNo tags attached.

Relationships

parent of 0003588 resolvedfrancis Klick on rfc2368 mailto hyperlinks not working correctly... 

Activities

2013-02-18 15:39

 

pmx_release_reply.jpg (24,055 bytes)
pmx_release_reply.jpg (24,055 bytes)
hartmut

hartmut

2013-02-18 15:52

reporter   ~0005386

Last edited: 2013-02-18 16:00

Sorry, don't know how to use code tags in mantis, so i have removed the a and /a html tags arround the url:
href="mailto:pmx-auto-approve%2b5a4e6f42205a94cafa36c8e6e513aadb@sh-mailgate02.hof-university.de?subject=Release%20message%20from%20quarantine&body=%5b%23iQg-1%5d">[#iQg-1]

Issue History

Date Modified Username Field Change
2013-02-18 15:39 hartmut New Issue
2013-02-18 15:39 hartmut File Added: pmx_release_reply.jpg
2013-02-18 15:52 hartmut Note Added: 0005386
2013-02-18 15:53 hartmut Note Edited: 0005386
2013-02-18 15:57 hartmut Note Edited: 0005386
2013-02-18 15:59 hartmut Note Edited: 0005386
2013-02-18 16:00 hartmut Note Edited: 0005386
2013-02-19 08:36 francis Description Updated
2016-03-17 13:35 francis Relationship added parent of 0003588
2017-08-29 11:44 francis Status new => resolved
2017-08-29 11:44 francis Fixed in Version => 3.1.0
2017-08-29 11:44 francis Resolution open => fixed
2017-08-29 11:44 francis Assigned To => francis